## org.eclipse.datatools.connectivity.drivers
Interface IDriverMigrator

All Known Implementing Classes:
  DriverMigratorBase

    public interface IDriverMigrator

Interface used by the driver framework which allows providers to hook into driver loading for migration purposes. Extenders may use this facility to update existing driver definitions to conform with updated driver implementations. This interface should not be directly implemented. Instead, adopters should extend `DriverMigratorBase`. This API is provisional.

Author:
  brianf Created on October 10, 2007

Method Summary
`java.lang.String` `getNewDriverTemplateID()`
`boolean` `performMigration(DriverInstance driver)` This method is invoked by the framework when a connection profile of the migration extension's sourceProfile type has been loaded.

Method Detail

### performMigration

    boolean performMigration(DriverInstance driver)

  This method is invoked by the framework when a connection profile of the migration extension's sourceProfile type has been loaded. At this point, only the profile's provider ID has been updated (to the value in targetProfile).

  Parameters:
    `profile` - the connection profile to migrate.

### getNewDriverTemplateID

    java.lang.String getNewDriverTemplateID()

  Returns:
    the ID of the new provider; null if the provider has not changed.